/* $Id: $
 *
 * RSSFrame.cpp
 *
 * Author: Danny Reinhold / Reinhold Software Services
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions: 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software. 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE. 
 */

#include "iup.h"
#include "RSSFrame.h"


RSSFrame::RSSFrame(RSSWidget *childWidget, std::string title)
  : m_title(title), RSSWidget("RSSFrame")
{
  addSubWidget(childWidget);
}


RSSFrame::~RSSFrame()
{
}


void RSSFrame::setTitle(std::string title)
{
  m_title = title;
  setAttribute("TITLE", m_title);
}


bool RSSFrame::createLowLevelWidget()
{
  RSSWidget *child = *(m_subWidgets.begin());
  Ihandle *childHandle = (Ihandle *)child->getHandle();
  if(!childHandle)
    return false;

  m_handle = IupFrame(childHandle);
  if(m_handle)
  {
    m_alreadyAddedSubWidgets.insert(child->getWidgetId());
    setAttribute("TITLE", m_title);
  }
  return m_handle != 0;
}


