/* $Id: $
 *
 * RSSGlobals.cpp
 *
 * Author: Danny Reinhold / Reinhold Software Services
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions: 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software. 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE. 
 */

#include "iup.h"
#include "iupcontrols.h"
#include "RSSGlobals.h"

void RSS_GUI_DECL_SPEC rssGuiInit(void)
{
  IupOpen();
  IupControlsOpen();
}


void RSS_GUI_DECL_SPEC rssGuiRelease(void)
{
  IupControlsClose();
  IupClose();
}


int RSS_GUI_DECL_SPEC rssGuiMainLoop(void)
{
  return IupMainLoop();
}


int RSS_GUI_DECL_SPEC rssGuiLoopStep(void)
{
  return IupLoopStep();
}


std::string RSS_GUI_DECL_SPEC rssGuiGetNewWidgetId(void)
{
  static unsigned int currentNumber = 0;
  char buf[100];
  sprintf(buf, "Widget_%d", currentNumber);
  currentNumber++;
  return buf;
}


std::string RSS_GUI_DECL_SPEC rssGuiGetNewActionId(void)
{
  static unsigned int currentNumber = 0;
  char buf[100];
  sprintf(buf, "Action_%d", currentNumber);
  currentNumber++;
  return buf;
}


void RSS_GUI_DECL_SPEC rssGuiMessage(std::string title, std::string messageText)
{
  IupMessage((char *)title.c_str(), (char *)messageText.c_str());
}


