/* $Id: $
 *
 * RSSMultiLine.cpp
 *
 * Author: Danny Reinhold / Reinhold Software Services
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions: 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software. 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE. 
 */

#include "iup.h"
#include "RSSMultiLine.h"


RSSMultiLine::RSSMultiLine()
  : RSSWidget("RSSMultiLine")
{
}


RSSMultiLine::~RSSMultiLine()
{
}


std::string RSSMultiLine::getText()
{
  // Only works after show() or create()...
  create();
  return getAttribute(IUP_VALUE);
}


void RSSMultiLine::setText(std::string newText)
{
  setAttribute(IUP_VALUE, newText);
}


void RSSMultiLine::append(std::string textToAppend)
{
  setAttribute(IUP_APPEND, textToAppend);
}


std::string RSSMultiLine::getSelectedText()
{
  return getAttribute(IUP_SELECTEDTEXT);
}


void RSSMultiLine::setBorder(bool borderFlag)
{
  setAttribute(IUP_BORDER, borderFlag ? IUP_YES : IUP_NO);
}


void RSSMultiLine::setSize(int columns, int rows)
{
  char buf[10];
  sprintf(buf, "%dx%d", columns * 4, rows * 8);

  setAttribute(IUP_SIZE, buf);
}


void RSSMultiLine::setCursorPosition(int column, int row)
{
  char buf[10];
  sprintf(buf, "%d", row, column);

  setAttribute(IUP_CARET, buf);
}


bool RSSMultiLine::isReadOnly()
{
  return getAttribute(IUP_READONLY) == IUP_YES ? true : false;
}


void RSSMultiLine::setReadOnly(bool readOnlyFlag)
{
  setAttribute(IUP_READONLY, readOnlyFlag ? IUP_YES : IUP_NO);
}


bool RSSMultiLine::createLowLevelWidget()
{
  m_handle = IupMultiLine((char *)getDefaultActionId().c_str());
  return m_handle != 0;
}


