/* $Id: $
 *
 * RSSSubmenu.cpp
 *
 * Author: Danny Reinhold / Reinhold Software Services
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions: 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software. 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE. 
 */

#include "iup.h"
#include "RSSSubmenu.h"


RSSSubmenu::RSSSubmenu(std::string title, RSSMenu *menuWidget)
  : RSSWidget("RSSSubmenu"), m_title(title), m_menuWidget(menuWidget)
{
  addSubWidget(menuWidget);
}


RSSSubmenu::~RSSSubmenu()
{
}


void RSSSubmenu::setTitle(std::string newTitle)
{
  m_title = newTitle;
  setAttribute("TITLE", m_title);
}


bool RSSSubmenu::createLowLevelWidget()
{
  if(!m_menuWidget)
    return false;

  Ihandle *menuHandle = (Ihandle *)m_menuWidget->getHandle();
  if(!menuHandle)
    return false;

  m_handle = IupSubmenu((char *)m_title.c_str(), menuHandle);
  return m_handle != 0;
}

