/* $Id: $
 *
 * RSSToggle.cpp
 *
 * Author: Danny Reinhold / Reinhold Software Services
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions: 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software. 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE. 
 */

#include "iup.h"
#include "RSSToggle.h"


RSSToggle::RSSToggle(std::string label)
  : RSSWidget("RSSToggle"), m_label(label)
{
}


RSSToggle::~RSSToggle()
{
}


void RSSToggle::setLabel(std::string label)
{
  m_label = label;
  setAttribute("TITLE", m_label);
}


bool RSSToggle::createLowLevelWidget()
{
  m_handle = IupToggle((char *)m_label.c_str(), (char *)getDefaultActionId().c_str());
  return m_handle != 0;
}


bool RSSToggle::getValue()
{
  return m_handle && getAttribute("VALUE") == IUP_ON;
}


void RSSToggle::setValue(bool newValue)
{
  if(!m_handle)
    return;

  setAttribute("VALUE", newValue ? IUP_ON : IUP_OFF);
}

