/* $Id: $
 *
 * RSSValuator.cpp
 *
 * Author: Danny Reinhold / Reinhold Software Services
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions: 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software. 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE. 
 */

#include "iup.h"
#include "iupcontrols.h"
#include "RSSValuator.h"


RSSValuator::RSSValuator(RSSValuatorType valuatorType)
  : RSSWidget("RSSValuator"), m_valuatorType(valuatorType)
{
}


RSSValuator::~RSSValuator()
{
}


bool RSSValuator::createLowLevelWidget()
{
  std::string valType;
  if(m_valuatorType == RSS_VT_Vertical)
    valType = ICTL_VERTICAL;
  else
    valType = ICTL_HORIZONTAL;

  m_handle = IupVal((char *)valType.c_str());
  return m_handle != 0;
}


