/* $Id: $
 *
 * RSSWidgetManager.cpp
 *
 * Author: Danny Reinhold / Reinhold Software Services
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions: 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software. 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE. 
 */

#include "RSSWidgetManager.h"


RSSWidgetManager *RSSWidgetManager::getInstance()
{
  static RSSWidgetManager *instance = 0;

  if(!instance)
    instance = new RSSWidgetManager;

  return instance;
}


void RSSWidgetManager::addWidget(RSSWidget *widget)
{
  if(!widget)
    return;

  std::string widgetId = widget->getWidgetId();
  if(widgetId != "")
    m_widgets[widgetId] = widget;
}


void RSSWidgetManager::removeWidget(RSSWidget *widget)
{
  if(!widget)
    return;

  std::string widgetId = widget->getWidgetId();
  std::map<std::string, RSSWidget *>::iterator it = m_widgets.find(widgetId);

  if(it != m_widgets.end())
    m_widgets.erase(it);
}


RSSWidget *RSSWidgetManager::getWidget(std::string widgetId)
{
  RSSWidget *widget = 0;
  std::map<std::string, RSSWidget *>::const_iterator it = m_widgets.find(widgetId);

  if(it != m_widgets.end())
    widget = it->second;

  return widget;
}

RSSWidgetManager::RSSWidgetManager()
{
}


