/* $Id: $
 *
 * RSSTab.h
 *
 * This class represents a tab widget
 *
 * Author: Danny Reinhold / Reinhold Software Services
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions: 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software. 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE. 
 */

#ifndef RSSTAB_H
#define RSSTAB_H

#include "RSSGuiDeclSpec.h"
#include "RSSWidget.h"


enum RSSTabType
{
  RSS_TT_NORTH,
  RSS_TT_SOUTH,
  RSS_TT_WEST,
  RSS_TT_EAST
};


class RSS_GUI_DECL_SPEC RSSTab : public RSSWidget
{
  public:
    RSSTab(RSSTabType tabType, RSSWidget *childWidget, ...);
    virtual ~RSSTab();

  protected:
    bool createLowLevelWidget();

  private:
    RSSTabType m_tabType;
};


#endif


