/* $Id: $
 *
 * RSSText.h
 *
 * This class represents a one line text edit widget
 *
 * Author: Danny Reinhold / Reinhold Software Services
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions: 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software. 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE. 
 */

#ifndef RSSTEXT_H
#define RSSTEXT_H

#include "RSSGuiDeclSpec.h"
#include "RSSWidget.h"


class RSS_GUI_DECL_SPEC RSSText : public RSSWidget
{
  public:
    RSSText();
    virtual ~RSSText();

    std::string getText();
    void        setText(std::string newText);
    void        append(std::string textToAppend);

    std::string getSelectedText();

    void        setBorder(bool borderFlag); // shows a border around the text

    int         getMaxSize();
    void        setMaxSize(int newMaxSize);

    int         getSize();
    void        setSize(int newSize);

    // index of the first character: 1
    int         getCursorPosition();
    void        setCursorPosition(int newCursorPosition);

    bool        isReadOnly();
    void        setReadOnly(bool readOnlyFlag);

  protected:
    bool createLowLevelWidget();
};


#endif

