/* $Id: $
 *
 * simple example for using RSSGui...
 *
 * Author: Danny Reinhold / Reinhold Software Services
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions: 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software. 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE. 
 */

#include "RSSGui.h"


class MyDialog : RSSEventHandler
{
public:

  void doIt()
  {
    RSSLabel *l1 = new RSSLabel("Label 1");
    RSSLabel *l2 = new RSSLabel("Label 2");
    RSSLabel *l3 = new RSSLabel("Label 3");
    RSSLabel *l4 = new RSSLabel("Label 4");

    RSSWizard *w = new RSSWizard("My Wizard");
    w->addPage("Page 1", l1);
    w->addPage("Page 2", l2);
    w->addPage("Page 3", l3);
    w->addPage("Page 4", l4);
    w->show();
 
    // Start the main event loop
    RSSEventManager *eventManager = RSSEventManager::getInstance();
    eventManager->mainLoop();

    delete w;
  }
};


int main()
{
  rssGuiInit();

  MyDialog *d = new MyDialog;
  d->doIt();
  delete d;

  rssGuiRelease();
  return 0;
}

