/* $Id: $
 *
 * simple example for using RSSGui...
 *
 * Author: Danny Reinhold / Reinhold Software Services
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions: 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software. 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE. 
 */

#include "RSSGui.h"


class MyDialog : RSSEventHandler
{
public:

  void doIt()
  {
    RSSButton *b1 = new RSSButton("Button 1");
    b1->setExpandFlag(true);
    RSSSplitBox *s1 = new RSSSplitBox(b1, RSS_SOUTH);

    RSSMultiLine *m1 = new RSSMultiLine();
    m1->setExpandFlag(true);

    RSSVBox *v1 = new RSSVBox(s1, m1, 0);

    RSSLabel *l1 = new RSSLabel("Cool test!");
    l1->setExpandFlag(true);

    RSSSplitBox *s2 = new RSSSplitBox(v1, RSS_EAST);
    RSSHBox *h1 = new RSSHBox(s2, l1, 0);

    RSSDialog *d1 = new RSSDialog(h1, "RSSGui Example");

    // show the dialog
    d1->show();

    // Start the main event loop
    RSSEventManager *eventManager = RSSEventManager::getInstance();
    eventManager->mainLoop();

    delete d1;
  }
};


int main()
{
  rssGuiInit();

  MyDialog d;
  d.doIt();

  rssGuiRelease();
  return 0;
}

