/* $Id: $
 *
 * simple example for using RSSGui...
 *
 * Author: Danny Reinhold / Reinhold Software Services
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions: 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software. 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE. 
 */

#include "RSSGui.h"


class MyDialog : RSSEventHandler
{
public:

  void doIt()
  {
    RSSDial *dial1 = new RSSDial(RSS_DT_HORIZONTAL);
    RSSDial *dial2 = new RSSDial(RSS_DT_VERTICAL);
    RSSDial *dial3 = new RSSDial(RSS_DT_CIRCULAR);

    RSSVBox *v1 = new RSSVBox(dial1, dial2, dial3, 0);
    RSSDialog *d1 = new RSSDialog(v1, "RSSGui Example");

    // show the dialog
    d1->show();

    // Start the main event loop
    RSSEventManager *eventManager = RSSEventManager::getInstance();
    eventManager->mainLoop();

    delete d1;
  }
};


int main()
{
  rssGuiInit();

  MyDialog d;
  d.doIt();

  rssGuiRelease();
  return 0;
}

